UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMMessageProperties Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMMessageProperties:

## Public Member Functions
| LBMMessageProperties ()
Iterator< LBMMessageProperty > | iterator ()
Enumeration | elements ()
void | clear ()
void | clear (String key)
void | set (String key, byte value)
void | set (String key, short value)
void | set (String key, int value)
void | set (String key, long value)
void | set (String key, float value)
void | set (String key, double value)
void | set (String key, boolean value)
void | set (String key, String value)
void | set (String key, Object value) throws LBMEInvalException
boolean | containsKey (String key)
boolean | getBoolean (String key) throws LBMEInvalException, IllegalArgumentException
byte | getByte (String key) throws LBMEInvalException, IllegalArgumentException
short | getShort (String key) throws LBMEInvalException, IllegalArgumentException
int | getInteger (String key) throws LBMEInvalException, IllegalArgumentException
long | getLong (String key) throws LBMEInvalException, IllegalArgumentException
float | getFloat (String key) throws LBMEInvalException, IllegalArgumentException
double | getDouble (String key) throws LBMEInvalException, IllegalArgumentException
String | getString (String key) throws LBMEInvalException, IllegalArgumentException
Object | getObject (String key) throws IllegalArgumentException

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties | ( |  | ) |

Create an LBMMessageProperties object, used to associate properties with an outgoing message

Since
  UMS 5.1

References com.latencybusters.lbm.LBMMessageProperties.clear(), com.latencybusters.lbm.LBMMessageProperty.key(), com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING, and com.latencybusters.lbm.LBMMessageProperty.type().

## Member Function Documentation

void com.latencybusters.lbm.LBMMessageProperties.clear | ( |  | ) |

Clear all properties from this object.

Referenced by com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties(), and com.latencybusters.lbm.LBMMessageProperties.set().

void com.latencybusters.lbm.LBMMessageProperties.clear | ( | String | key | ) |

Clear the property with the specified key from this object.

boolean com.latencybusters.lbm.LBMMessageProperties.containsKey | ( | String | key | ) |

Test if the specified key is contained in the properties object.

Parameters

  key | The name of the property

Returns
  True if the property has been set, False if the property isn't set.

Enumeration com.latencybusters.lbm.LBMMessageProperties.elements | ( |  | ) |

Returns an enumeration of all LBMMessageProperty objects contained in this collection.

Returns
  An enumeration of the collection.

boolean com.latencybusters.lbm.LBMMessageProperties.getBoolean | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a boolean.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a boolean if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a boolean, or if the value cannot be converted to a boolean.

References com.latencybusters.lbm.LBMMessageProperty.getBoolean().

byte com.latencybusters.lbm.LBMMessageProperties.getByte | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a byte.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a byte if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a byte, or if the value cannot be converted to a byte.

References com.latencybusters.lbm.LBMMessageProperty.getByte().

double com.latencybusters.lbm.LBMMessageProperties.getDouble | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a double.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a double if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a double, or if the value cannot be converted to a double.

References com.latencybusters.lbm.LBMMessageProperty.getDouble().

float com.latencybusters.lbm.LBMMessageProperties.getFloat | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a float.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a float if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a float, or if the value cannot be converted to a float.

References com.latencybusters.lbm.LBMMessageProperty.getFloat().

int com.latencybusters.lbm.LBMMessageProperties.getInteger | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a integer.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a integer if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a integer, or if the value cannot be converted to a integer.

References com.latencybusters.lbm.LBMMessageProperty.getInteger().

long com.latencybusters.lbm.LBMMessageProperties.getLong | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a long.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a long if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a long, or if the value cannot be converted to a long.

References com.latencybusters.lbm.LBMMessageProperty.getLong().

Object com.latencybusters.lbm.LBMMessageProperties.getObject | ( | String | key | ) | throws IllegalArgumentException

Get the property with the specified key as an object.

Parameters

  key | The name of the property

Returns
  The value of the property as an object.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the property cannot be converted to a string.

References com.latencybusters.lbm.LBMMessageProperty.getObject().

short com.latencybusters.lbm.LBMMessageProperties.getShort | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a short.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a short if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the value is a String, and cannot be converted to a short, or if the value cannot be converted to a short.

References com.latencybusters.lbm.LBMMessageProperty.getShort().

String com.latencybusters.lbm.LBMMessageProperties.getString | ( | String | key | ) | throws LBMEInvalException, IllegalArgumentException

Get the property with the specified key as a string.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a string if necessary.

Exceptions

  IllegalArgumentException | if the key is not set.
  LBMEInvalException | if the property cannot be converted to a string.

References com.latencybusters.lbm.LBMMessageProperty.getString().

Iterator<LBMMessageProperty> com.latencybusters.lbm.LBMMessageProperties.iterator | ( |  | ) |

Returns an iterator over all LBMMessageProperty objects contained in this collection.

Returns
  An iterator over the collection.

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | byte | value
| ) |  |

Set a property to the provided byte value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | short | value
| ) |  |

Set a property to the provided short value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | int | value
| ) |  |

Set a property to the provided int value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | long | value
| ) |  |

Set a property to the provided long value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | float | value
| ) |  |

Set a property to the provided float value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | double | value
| ) |  |

Set a property to the provided double value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | boolean | value
| ) |  |

Set a property to the provided boolean value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | String | value
| ) |  |

Set a property to the provided string value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | String | key,
|  | Object | value
| ) |  | throws LBMEInvalException

Set a property to the provided object value.

Parameters

  key | The name of the property to be set
  value | The object whose value to be set. Must be an instance of Integer, Short, Byte, Long, Float, Double, Boolean, or String.

References com.latencybusters.lbm.LBMMessageProperties.clear().

The documentation for this class was generated from the following file:

- LBMMessageProperties.java